complexType "TradeNovationContent"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 30 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 30 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (newTradeIdentifier+ | newTrade | ((oldTradeIdentifier+ | oldTrade), (newTradeIdentifier+ | newTrade)?)), transferor, transferorAccount?, transferee, transfereeAccount?, remainingParty, remainingPartyAccount?, otherRemainingParty?, otherRemainingPartyAccount?, novationDate, executionDateTime?, novationTradeDate?, ((novatedAmount, remainingAmount?) | (novatedNumberOfOptions, remainingNumberOfOptions?) | (novatedNumberOfUnits, remainingNumberOfUnits?)), fullFirstCalculationPeriod?, firstPeriodStartDate[0..2], nonReliance?, creditDerivativesNotices?, contractualDefinitions*, contractualTermsSupplement*, payment?
</...>

Content Model Elements (30):

  contractualDefinitions (in novation), contractualTermsSupplement (in novation), creditDerivativesNotices, executionDateTime (in novation), firstPeriodStartDate (in novation), fullFirstCalculationPeriod, newTrade (in novation), newTrade (in novation), newTradeIdentifier (in novation), newTradeIdentifier (in novation), nonReliance (in novation), novatedAmount, novatedNumberOfOptions, novatedNumberOfUnits, novationDate, | novationTradeDate, oldTrade (in novation), oldTradeIdentifier (in novation), otherRemainingParty, otherRemainingPartyAccount, payment (in novation), remainingAmount, remainingNumberOfOptions, remainingNumberOfUnits, remainingParty, remainingPartyAccount, transferee, transfereeAccount, transferor, transferorAccount

All Direct / Indirect Based Elements (1):

  novation

Known Usage Locations

- As direct type of elements (1):
  novation

Annotation
A structure describing a novation.
XML Source (w/o annotations (31); see within schema source)

<xsd:complexType name="TradeNovationContent"> <xsd:sequence> <xsd:choice> <xsd:choice> <xsd:element maxOccurs="unbounded" name="newTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="newTrade" type="Trade"/> </xsd:choice> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" name="oldTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="oldTrade" type="Trade"/> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="newTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="newTrade" type="Trade"/> </xsd:choice> </xsd:sequence> </xsd:choice> <xsd:element name="transferor" type="PartyReference"/> <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/> <xsd:element name="transferee" type="PartyReference"/> <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/> <xsd:element name="remainingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/> <xsd:element name="novationDate" type="xsd:date"/> <!-- added BAL 2011-03 for SDR reporting --> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/> <xsd:element minOccurs="0" name="novationTradeDate" type="xsd:date"/> <xsd:choice> <xsd:sequence> <xsd:element name="novatedAmount" type="Money"/> <xsd:element minOccurs="0" name="remainingAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element name="novatedNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element name="novatedNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"/> <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"/> <xsd:element minOccurs="0" name="nonReliance" type="Empty"/> <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/> <xsd:element minOccurs="0" name="payment" type="Payment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 30/30)
contractualDefinitions

  Type: | ContractualDefinitions, simple content

  The definitions (such as those published by ISDA) that will define the terms of the novation transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/>

contractualTermsSupplement

  Type: | ContractualTermsSupplement, complex content

  A contractual supplement (such as those published by ISDA) that will apply to the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/>

creditDerivativesNotices

  Type: | CreditDerivativesNotices, complex content

  This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. The type of notice or notices that have been delivered should be indicated by setting the relevant boolean element value(s) to true. The absence of the element means that no Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"/>

executionDateTime

  Type: | ExecutionDateTime, simple content

  The date and time at which the change was agreed.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/>

firstPeriodStartDate

  Type: | FirstPeriodStartDate, simple content

  Element that is used to be able to make sense of the “new transaction” without requiring reference back to the “old transaction”. In the case of interest rate products there are potentially 2 “first period start dates” to reference – one with respect to each party to the new transaction. For Credit Default Swaps there is just the one with respect to the party that is the fixed rate payer.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"/>

fullFirstCalculationPeriod

  Type: | xsd:boolean, predefined, simple content

  This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"/>

newTrade

  Type: | Trade, complex content

  Indicates the new trade between the transferee and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="newTrade" type="Trade"/>

newTrade

  Type: | Trade, complex content

  Indicates the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="newTrade" type="Trade"/>

newTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Indicates a reference to the new trade between the transferee and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="newTradeIdentifier" type="PartyTradeIdentifier"/>

newTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Indicates a reference to the new trade between the transferee and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="newTradeIdentifier" type="PartyTradeIdentifier"/>

nonReliance

  Type: | Empty, empty content

  This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i). The element appears in the instance document when non-Reliance is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonReliance" type="Empty"/>

novatedAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novatedAmount" type="Money"/>

novatedNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novatedNumberOfOptions" type="xsd:decimal"/>

novatedNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novatedNumberOfUnits" type="xsd:decimal"/>

novationDate

  Type: | xsd:date, predefined, simple content

  Specifies the date that one party's legal obligations with regard to a trade are transferred to another party. It corresponds to the Novation Date section of the 2004 ISDA Novation Definitions, section 1.16.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novationDate" type="xsd:date"/>

novationTradeDate

  Type: | xsd:date, predefined, simple content

  Specifies the date the parties agree to assign or novate a Contract. If this element is not specified, the novationContractDate will be deemed to be the novationDate. It corresponds to the Novation Trade Date section of the 2004 ISDA Novation Definitions, section 1.17.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="novationTradeDate" type="xsd:date"/>

oldTrade

  Type: | Trade, complex content

  Indicates the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="oldTrade" type="Trade"/>

oldTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Indicates a reference to the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="oldTradeIdentifier" type="PartyTradeIdentifier"/>

otherRemainingParty

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. This element is not applicable in a three-way novation and should be omitted. In a four-way novation the party referenced is Transferee 2. Transferee 2 means a party which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 2. ISDA 2004 Novation Term: Transferee 2 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"/>

otherRemainingPartyAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/>

payment

  Type: | Payment, complex content

  Describes a payment made in settlement of the novation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="Payment"/>

remainingAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingAmount" type="Money"/>

remainingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/>

remainingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/>

remainingParty

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Remaining Party in the novation. Remaining Party means a party which consents to a Transferor's transfer by novation and the acceptance thereof by the Transferee of all of the Transferor's rights, liabilities, duties and obligations with respect to such Remaining Party under and with respect of the Novated Amount of a transaction. In a four-way novation the party referenced is Transferor 2 per the ISDA definition and acts in the role of a Transferor. Transferor 2 transfers by novation to Transferee 2 all of its rights, liabilities, duties and obligations with respect to Transferor 1. ISDA 2004 Novation Term: Remaining Party (three-way novation) or Transferor 2 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="remainingParty" type="PartyReference"/>

remainingPartyAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/>

transferee

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferee (incoming party) in the novation. Transferee means a party which accepts by way of novation all rights, liabilities, duties and obligations of a Transferor with respect to a Remaining Party. In a four-way novation the party referenced is Transferee 1 which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 1. ISDA 2004 Novation Term: Transferee (three-way novation) or Transferee 1 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="transferee" type="PartyReference"/>

transfereeAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/>

transferor

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferor (outgoing party) in the novation. The Transferor means a party which transfers by novation to a Transferee all of its rights, liabilities, duties and obligations with respect to a Remaining Party. In a four-way novation the party referenced is Transferor 1 which transfers by novation to Transferee 1 all of its rights, liabilities, duties and obligations with respect to Transferor 2. ISDA 2004 Novation Term: Transferor (three-way novation) or Transferor 1 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="transferor" type="PartyReference"/>

transferorAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.